# HG changeset patch
# Node ID 8b4ff48bc683
# Parent  ed6abba21225
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-page.c b/gplugin-gtk4/gplugin-gtk-plugin-page.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-page.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-page.c
@@ -269,8 +269,8 @@
 	 */
 	properties[PROP_PLUGIN] = g_param_spec_object(
 		"plugin",
-		"plugin",
-		"The GPluginPlugin whose info should be displayed",
+		NULL,
+		NULL,
 		G_TYPE_OBJECT,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -283,8 +283,8 @@
 	 */
 	properties[PROP_SETTINGS_BACKEND] = g_param_spec_object(
 		"settings-backend",
-		"settings-backend",
-		"The settings backend to use when viewing plugin settings",
+		NULL,
+		NULL,
 		G_TYPE_SETTINGS_BACKEND,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-row.c b/gplugin-gtk4/gplugin-gtk-plugin-row.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-row.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-row.c
@@ -163,8 +163,8 @@
 	 */
 	properties[PROP_PLUGIN] = g_param_spec_object(
 		"plugin",
-		"plugin",
-		"The GPluginPlugin whose info should be displayed",
+		NULL,
+		NULL,
 		G_TYPE_OBJECT,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
@@ -609,8 +609,8 @@
 	 */
 	properties[PROP_SETTINGS] = g_param_spec_object(
 		"settings",
-		"settings",
-		"The settings to display",
+		NULL,
+		NULL,
 		G_TYPE_SETTINGS,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin-gtk4/gplugin-gtk-view.c b/gplugin-gtk4/gplugin-gtk-view.c
--- a/gplugin-gtk4/gplugin-gtk-view.c
+++ b/gplugin-gtk4/gplugin-gtk-view.c
@@ -325,8 +325,8 @@
 	 */
 	properties[PROP_MANAGER] = g_param_spec_object(
 		"manager",
-		"manager",
-		"The plugin manager to display",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_MANAGER,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -337,8 +337,8 @@
 	 */
 	properties[PROP_SHOW_INTERNAL] = g_param_spec_boolean(
 		"show-internal",
-		"show-internal",
-		"Whether or not to show internal plugins",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -349,8 +349,9 @@
 	 */
 	properties[PROP_SETTINGS_BACKEND] = g_param_spec_object(
 		"settings-backend",
-		"settings-backend",
-		"The settings backend to use when viewing plugin settings",
+
+		NULL,
+		NULL,
 		G_TYPE_SETTINGS_BACKEND,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin-introspection/tests/introspectabletype.c b/gplugin-introspection/tests/introspectabletype.c
--- a/gplugin-introspection/tests/introspectabletype.c
+++ b/gplugin-introspection/tests/introspectabletype.c
@@ -103,8 +103,8 @@
 	 */
 	properties[PROP_DUMMY] = g_param_spec_boolean(
 		"dummy",
-		"dummy",
-		"Whether or not this object is a dummy",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin/gplugin-file-source.c b/gplugin/gplugin-file-source.c
--- a/gplugin/gplugin-file-source.c
+++ b/gplugin/gplugin-file-source.c
@@ -585,8 +585,8 @@
 	 */
 	properties[PROP_MANAGER] = g_param_spec_object(
 		"manager",
-		"manager",
-		"The manager this source is working for.",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_MANAGER,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -148,8 +148,8 @@
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id",
-		"id",
-		"The identifier of the loader",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin/gplugin-native-plugin.c b/gplugin/gplugin-native-plugin.c
--- a/gplugin/gplugin-native-plugin.c
+++ b/gplugin/gplugin-native-plugin.c
@@ -324,8 +324,8 @@
 	 */
 	properties[PROP_MODULE] = g_param_spec_pointer(
 		"module",
-		"module handle",
-		"The GModule instance of the plugin",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
@@ -335,8 +335,8 @@
 	 */
 	properties[PROP_LOAD_FUNC] = g_param_spec_pointer(
 		"load-func",
-		"load function pointer",
-		"address pointer to load function",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
@@ -346,8 +346,8 @@
 	 */
 	properties[PROP_UNLOAD_FUNC] = g_param_spec_pointer(
 		"unload-func",
-		"unload function pointer",
-		"address pointer to the unload function",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -582,8 +582,8 @@
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id",
-		"id",
-		"The ID of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -603,8 +603,8 @@
 	 */
 	properties[PROP_PROVIDES] = g_param_spec_boxed(
 		"provides",
-		"provides",
-		"The additional ids that this plugin provides.",
+		NULL,
+		NULL,
 		G_TYPE_STRV,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -620,8 +620,8 @@
 	 */
 	properties[PROP_PRIORITY] = g_param_spec_int(
 		"priority",
-		"priority",
-		"The priority of the plugin",
+		NULL,
+		NULL,
 		G_MININT,
 		G_MAXINT,
 		0,
@@ -648,8 +648,8 @@
 	 */
 	properties[PROP_ABI_VERSION] = g_param_spec_uint(
 		"abi-version",
-		"abi_version",
-		"The ABI version of the plugin",
+		NULL,
+		NULL,
 		0,
 		G_MAXUINT32,
 		0,
@@ -664,8 +664,8 @@
 	 */
 	properties[PROP_INTERNAL] = g_param_spec_boolean(
 		"internal",
-		"internal",
-		"Whether or not the plugin is an internal plugin",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -683,8 +683,8 @@
 	 */
 	properties[PROP_AUTO_LOAD] = g_param_spec_boolean(
 		"auto-load",
-		"auto-load",
-		"Whether or not the plugin should be loaded when queried",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -702,8 +702,8 @@
 	 */
 	properties[PROP_LOQ] = g_param_spec_boolean(
 		"load-on-query",
-		"load-on-query",
-		"Whether or not the plugin should be loaded when queried",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -716,8 +716,8 @@
 	 */
 	properties[PROP_BIND_GLOBAL] = g_param_spec_boolean(
 		"bind-global",
-		"bind-global",
-		"Whether symbols should be bound globally",
+		NULL,
+		NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -728,8 +728,8 @@
 	 */
 	properties[PROP_NAME] = g_param_spec_string(
 		"name",
-		"name",
-		"The name of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -740,8 +740,8 @@
 	 */
 	properties[PROP_VERSION] = g_param_spec_string(
 		"version",
-		"version",
-		"The version of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -754,8 +754,8 @@
 	 */
 	properties[PROP_SETTINGS_SCHEMA] = g_param_spec_string(
 		"settings-schema",
-		"settings-schema",
-		"The GSettings schema of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -774,8 +774,8 @@
 	 */
 	properties[PROP_LICENSE_ID] = g_param_spec_string(
 		"license-id",
-		"license-id",
-		"The license id of the plugin according to SPDX",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -787,8 +787,8 @@
 	 */
 	properties[PROP_LICENSE_TEXT] = g_param_spec_string(
 		"license-text",
-		"license text",
-		"The text of the license for the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -800,8 +800,8 @@
 	 */
 	properties[PROP_LICENSE_URL] = g_param_spec_string(
 		"license-url",
-		"license url",
-		"The url to the license of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -813,8 +813,8 @@
 	 */
 	properties[PROP_ICON_NAME] = g_param_spec_string(
 		"icon-name",
-		"icon-name",
-		"The XDG icon name for the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -826,8 +826,8 @@
 	 */
 	properties[PROP_SUMMARY] = g_param_spec_string(
 		"summary",
-		"summary",
-		"The summary of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -839,8 +839,8 @@
 	 */
 	properties[PROP_DESCRIPTION] = g_param_spec_string(
 		"description",
-		"description",
-		"The description of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -856,8 +856,8 @@
 	 */
 	properties[PROP_CATEGORY] = g_param_spec_string(
 		"category",
-		"category",
-		"The category of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -871,8 +871,8 @@
 	 */
 	properties[PROP_AUTHORS] = g_param_spec_boxed(
 		"authors",
-		"authors",
-		"The authors of the plugin",
+		NULL,
+		NULL,
 		G_TYPE_STRV,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -883,8 +883,8 @@
 	 */
 	properties[PROP_WEBSITE] = g_param_spec_string(
 		"website",
-		"website",
-		"The website of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -895,8 +895,8 @@
 	 */
 	properties[PROP_DEPENDENCIES] = g_param_spec_boxed(
 		"dependencies",
-		"dependencies",
-		"The dependencies of the plugin",
+		NULL,
+		NULL,
 		G_TYPE_STRV,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -910,8 +910,8 @@
 	 */
 	properties[PROP_UNLOADABLE] = g_param_spec_boolean(
 		"unloadable",
-		"unloadable",
-		"Whether or not plugin is unloadable",
+		NULL,
+		NULL,
 		TRUE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -79,8 +79,8 @@
 	 */
 	pspec = g_param_spec_string(
 		"filename",
-		"filename",
-		"The filename of the plugin",
+		NULL,
+		NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
 	g_object_interface_install_property(iface, pspec);
@@ -92,8 +92,8 @@
 	 */
 	pspec = g_param_spec_object(
 		"loader",
-		"loader",
-		"The loader for this plugin",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_LOADER,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
 	g_object_interface_install_property(iface, pspec);
@@ -105,8 +105,8 @@
 	 */
 	pspec = g_param_spec_object(
 		"info",
-		"info",
-		"The information for the plugin",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_PLUGIN_INFO,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
 	g_object_interface_install_property(iface, pspec);
@@ -118,8 +118,8 @@
 	 */
 	pspec = g_param_spec_enum(
 		"state",
-		"state",
-		"The state of the plugin",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_PLUGIN_STATE,
 		GPLUGIN_PLUGIN_STATE_UNKNOWN,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT);
@@ -138,8 +138,8 @@
 	 */
 	pspec = g_param_spec_enum(
 		"desired-state",
-		"desired-state",
-		"The desired state of the plugin",
+		NULL,
+		NULL,
 		GPLUGIN_TYPE_PLUGIN_STATE,
 		GPLUGIN_PLUGIN_STATE_UNKNOWN,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
@@ -152,8 +152,8 @@
 	 */
 	pspec = g_param_spec_boxed(
 		"error",
-		"error",
-		"A GError returned from the load or unload function",
+		NULL,
+		NULL,
 		G_TYPE_ERROR,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 	g_object_interface_install_property(iface, pspec);
diff --git a/lua/gplugin-lua-plugin.c b/lua/gplugin-lua-plugin.c
--- a/lua/gplugin-lua-plugin.c
+++ b/lua/gplugin-lua-plugin.c
@@ -190,8 +190,8 @@
 
 	properties[PROP_LUA_STATE] = g_param_spec_pointer(
 		"lua-state",
-		"lua-state",
-		"The lua state for the plugin",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
diff --git a/python3/gplugin-python3-plugin.c b/python3/gplugin-python3-plugin.c
--- a/python3/gplugin-python3-plugin.c
+++ b/python3/gplugin-python3-plugin.c
@@ -282,20 +282,20 @@
 
 	properties[PROP_MODULE] = g_param_spec_pointer(
 		"module",
-		"module",
-		"The python module object",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_LOAD_FUNC] = g_param_spec_pointer(
 		"load-func",
-		"load-func",
-		"The python load function",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_UNLOAD_FUNC] = g_param_spec_pointer(
 		"unload-func",
-		"unload-func",
-		"The python unload function",
+		NULL,
+		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
